curl "https://app.runtm.com/api/cloud/organizations/org_abc123/instructions" \
-H "Authorization: Bearer runtm_xxx" \
-H "X-Organization-Id: org_abc123"
import requests
org_id = "org_abc123"
resp = requests.get(
f"https://app.runtm.com/api/cloud/organizations/{org_id}/instructions",
headers={
"Authorization": "Bearer runtm_xxx",
"X-Organization-Id": org_id,
},
)
print(resp.json())
const orgId = "org_abc123";
const resp = await fetch(
`https://app.runtm.com/api/cloud/organizations/${orgId}/instructions`,
{
headers: {
Authorization: "Bearer runtm_xxx",
"X-Organization-Id": orgId,
},
}
);
const data = await resp.json();
{
"organization_id": "org_abc123",
"instructions": "Use our internal design system. Follow the coding standards in CONTRIBUTING.md.",
"updated_at": "2026-05-07T10:15:00Z"
}
Context
Get Org Instructions
Retrieve the custom instructions set for an organization.
GET
/
api
/
organizations
/
{org_id}
/
instructions
curl "https://app.runtm.com/api/cloud/organizations/org_abc123/instructions" \
-H "Authorization: Bearer runtm_xxx" \
-H "X-Organization-Id: org_abc123"
import requests
org_id = "org_abc123"
resp = requests.get(
f"https://app.runtm.com/api/cloud/organizations/{org_id}/instructions",
headers={
"Authorization": "Bearer runtm_xxx",
"X-Organization-Id": org_id,
},
)
print(resp.json())
const orgId = "org_abc123";
const resp = await fetch(
`https://app.runtm.com/api/cloud/organizations/${orgId}/instructions`,
{
headers: {
Authorization: "Bearer runtm_xxx",
"X-Organization-Id": orgId,
},
}
);
const data = await resp.json();
{
"organization_id": "org_abc123",
"instructions": "Use our internal design system. Follow the coding standards in CONTRIBUTING.md.",
"updated_at": "2026-05-07T10:15:00Z"
}
Returns the organization’s shared custom instructions that apply to all members.
Required scope:
context:read
The
X-Organization-Id header must match the org_id path parameter.string
required
The organization ID.
string
required
Bearer token.
Authorization: Bearer runtm_xxxstring
required
Must match the
org_id path parameter.string
The organization ID.
string
The organization’s custom instructions text. Null if none set.
string
ISO 8601 timestamp of the last update. Null if never set.
curl "https://app.runtm.com/api/cloud/organizations/org_abc123/instructions" \
-H "Authorization: Bearer runtm_xxx" \
-H "X-Organization-Id: org_abc123"
import requests
org_id = "org_abc123"
resp = requests.get(
f"https://app.runtm.com/api/cloud/organizations/{org_id}/instructions",
headers={
"Authorization": "Bearer runtm_xxx",
"X-Organization-Id": org_id,
},
)
print(resp.json())
const orgId = "org_abc123";
const resp = await fetch(
`https://app.runtm.com/api/cloud/organizations/${orgId}/instructions`,
{
headers: {
Authorization: "Bearer runtm_xxx",
"X-Organization-Id": orgId,
},
}
);
const data = await resp.json();
{
"organization_id": "org_abc123",
"instructions": "Use our internal design system. Follow the coding standards in CONTRIBUTING.md.",
"updated_at": "2026-05-07T10:15:00Z"
}